
/*
      _______                          .__ .__   .__   .__                 
      \      \    ____   __ __ _______ |__||  |  |  |  |__|  ____    ____  
      /   |   \ _/ __ \ |  |  \\_  __ \|  ||  |  |  |  |  | /  _ \  /    \ 
     /    |    \\  ___/ |  |  / |  | \/|  ||  |__|  |__|  |(  <_> )|   |  \
     \____|__  / \___  >|____/  |__|   |__||____/|____/|__| \____/ |___|  /
    =========\/======\/=================================================\/==
  v0.01 18/FEB/2008   Copyright 2007-2008 Scott D. Yelich SOME RIGHTS RESERVED
  ,-*~'`^`'~*-,._.,-*~'`^`'~*-,._.,-*~'`^`'~*-,._.-*~'`^`'~*-,._.,-*~'`^`'~*-,


  LICENSE:  Creative Commons Attribution 3.0 License.
  SEE:      http://creativecommons.org/licenses/by/3.0/


  Mon Feb 18 22:43:52 EST 2008, v0.01 sdy

*/

/*
    This is Mail.h -- part of Mail:

    See accompanying Mail.cpp for implementation details.
*/

#ifndef MAIL_H
#define MAIL_H

//  C++

#include <string>

class Mail
{

  public:

  Mail();
  ~Mail();

  std::string from ( std::string const new_from="" );
  std::string to ( std::string const new_to="" );
  std::string subject ( std::string const new_subject="" );
  std::string body ( std::string const new_body="" );

  void set ( std::string const from="", std::string const to="", std::string const subject="", std::string const body="");


  private:

  std::string _from;
  std::string _to;
  std::string _subject;
  std::string _body;

};

#endif
