
/*
      _______                          .__ .__   .__   .__                 
      \      \    ____   __ __ _______ |__||  |  |  |  |__|  ____    ____  
      /   |   \ _/ __ \ |  |  \\_  __ \|  ||  |  |  |  |  | /  _ \  /    \ 
     /    |    \\  ___/ |  |  / |  | \/|  ||  |__|  |__|  |(  <_> )|   |  \
     \____|__  / \___  >|____/  |__|   |__||____/|____/|__| \____/ |___|  /
    =========\/======\/=================================================\/==
  v0.01 18/FEB/2008   Copyright 2007-2008 Scott D. Yelich SOME RIGHTS RESERVED
  ,-*~'`^`'~*-,._.,-*~'`^`'~*-,._.,-*~'`^`'~*-,._.-*~'`^`'~*-,._.,-*~'`^`'~*-,


  LICENSE:  Creative Commons Attribution 3.0 License.
  SEE:      http://creativecommons.org/licenses/by/3.0/


  Mon Feb 18 22:43:52 EST 2008, v0.01 sdy


*/

/*
    This is Mail.cpp -- part of Mail:

*/

#include "Mail.h"

Mail::Mail()
{
}

Mail::~Mail()
{
}

std::string
Mail::from ( std::string const new_from)
{
  if (!new_from.empty()) {
    _from = new_from;
  }
  return _from;
}

std::string
Mail::to ( std::string const new_to)
{
  if (!new_to.empty()) {
    _to = new_to;
  }
  return _to;
}

std::string
Mail::subject ( std::string const new_subject)
{
  if (!new_subject.empty()) {
    _subject = new_subject;
  }
  return _subject;
}

std::string
Mail::body ( std::string const new_body)
{
  if (!new_body.empty()) {
    _body = new_body;
  }
  return _body;
}

void
Mail::set ( std::string const new_from, std::string const new_to,
            std::string const new_subject, std::string const new_body )
{
  from(new_from);
  to(new_to);
  subject(new_subject);
  body(new_body);
}
