
/*
      _______                          .__ .__   .__   .__                 
      \      \    ____   __ __ _______ |__||  |  |  |  |__|  ____    ____  
      /   |   \ _/ __ \ |  |  \\_  __ \|  ||  |  |  |  |  | /  _ \  /    \ 
     /    |    \\  ___/ |  |  / |  | \/|  ||  |__|  |__|  |(  <_> )|   |  \
     \____|__  / \___  >|____/  |__|   |__||____/|____/|__| \____/ |___|  /
    =========\/======\/=================================================\/==
  v0.01 07/JAN/2007   Copyright 2007-2008 Scott D. Yelich SOME RIGHTS RESERVED
  ,-*~'`^`'~*-,._.,-*~'`^`'~*-,._.,-*~'`^`'~*-,._.-*~'`^`'~*-,._.,-*~'`^`'~*-,


  LICENSE:  Creative Commons Attribution 3.0 License.
  SEE:      http://creativecommons.org/licenses/by/3.0/


  Mon Jan  7 10:49:06 EST 2008, v0.01 sdy

*/

/*
    This is Utilities.cpp -- part of Utilities:

    misc...

*/

//  PACKAGE

#include "Utilities.h"

Utilities::Utilities()
{
  srand(time(0));
}

Utilities::~Utilities()
{
}

int
Utilities::stringToInt(std::string const & s)
{
  //  std::istringstream i(s);
  std::stringstream i;
  i << s;
  int x;
  if (!(i >> x))
    throw TypedException<Utilities::Errors>(Utilities::InvalidStringToIntString, "can't convert '" + s + "' to int!");
  return x;
}

std::string
Utilities::intToString(int i)
{
  std::stringstream s;
  s << i;
  return s.str();
}


